Bug 829813 - Command line bind address being ignored for HTTP and Infinispan servers
Command line bind address being ignored for HTTP and Infinispan servers
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low
: ---
: 6.1.0
Assigned To: Tristan Tarrant
:
: 829807 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 11:22 EDT by Galder Zamarreño
Modified: 2013-10-06 20:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The JBoss Data Grid server by default binds its listening ports to a loopback address (<literal>127.0.0.1</literal>). The <literal>-b</literal> switch can be used to modify the address on which to bind the public interface. However, since the JBoss Data Grid endpoints are bound to the management interface for security reasons, the <literal>-b</literal> switch does not affect them. The user should modify the <filename>standalone.xml</filename> configuration file to place the endpoints on the public interface: </para> <programlisting> <![CDATA[<socket-binding name="hotrod" interface="public" port="11222"/>]]> </programlisting> <para> After the above modification, the <literal>-b</literal> switch will determine the network address on which the hot rod port will be bound.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Galder Zamarreño 2012-06-07 11:22:41 EDT
Starting AS 7.1.1 with lo2 (127.0.0.2) as bind address:
[g@:/opt/jboss]% ./bin/standalone.sh -b lo2

shows:
16:14:35,335 INFO  [org.apache.coyote.http11.Http11Protocol] (MSC service thread 1-6) Starting Coyote HTTP/1.1 on http-lo2-127.0.0.2-8080

Starting JDG 6 CR0 with the same shows:
16:10:21,030 INFO  [org.apache.coyote.http11.Http11Protocol] (MSC service thread 1-6) Starting Coyote HTTP/1.1 on http-/127.0.0.1:8080
...
16:10:21,731 DEBUG [org.infinispan.server.hotrod.HotRodServer] (MSC service thread 1-2) Starting server with basic settings: host=127.0.0.1, port=11222, masterThreads=-1, workerThreads=8, idleTimeout=-1, tcpNoDelay=true, sendBufSize=0, recvBufSize=0
...
server.log:788:16:10:21,731 DEBUG [org.infinispan.server.memcached.MemcachedServer] (MSC service thread 1-5) Starting server with basic settings: host=127.0.0.1, port=11211, masterThreads=-1, workerThreads=8, idleTimeout=-1, tcpNoDelay=true, sendBufSize=0, recvBufSize=0

So, JDG is ignoring the bind address passed for several subsystems. The only one where lo2 is being accepted is for the remoting connector for jmx.
Comment 1 Tristan Tarrant 2012-06-07 11:28:49 EDT
Because of https://bugzilla.redhat.com/show_bug.cgi?id=818031 the endpoints are bound by default on the management interface. You can either use -Djboss.bind.address.management=lo2 or change the interface on the socket-binding for the appropriate protocols. I know it's not ideal
Comment 2 Tristan Tarrant 2012-06-13 07:46:52 EDT
*** Bug 829807 has been marked as a duplicate of this bug. ***
Comment 3 mark yarborough 2012-06-13 10:26:12 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Tristan will describe...
Comment 4 Tristan Tarrant 2012-06-15 01:29:41 EDT
I disagree with this issue being part of the release notes, but I'll add a Tech note anyway to clarify.
Comment 5 Tristan Tarrant 2012-06-15 01:29:41 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,5 @@
-Tristan will describe...+The JDG server by default binds its listening ports to the loopback address (127.0.0.1). The -b switch can be used to modify the address on which to bind the "public" interface. However, since the JDG endpoints are bound to the "management" interface for security reasons, the -b switch does not affect them. The user should modify the standalone.xml configuration file to place the endpoints on the public interface:
+
+<socket-binding name="hotrod" interface="public" port="11222"/>
+
+After the above modification, the -b switch will determine the network address on which the hotrod port will be bound.
Comment 6 Misha H. Ali 2012-06-15 16:46:40 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,5 +1,8 @@
-The JDG server by default binds its listening ports to the loopback address (127.0.0.1). The -b switch can be used to modify the address on which to bind the "public" interface. However, since the JDG endpoints are bound to the "management" interface for security reasons, the -b switch does not affect them. The user should modify the standalone.xml configuration file to place the endpoints on the public interface:
+The JBoss Data Grid server by default binds its listening ports to a loopback address (<literal>127.0.0.1</literal>). The <literal>-b</literal> switch can be used to modify the address on which to bind the public interface. However, since the JBoss Data Grid endpoints are bound to the management interface for security reasons, the <literal>-b</literal> switch does not affect them. The user should modify the <filename>standalone.xml</filename> configuration file to place the endpoints on the public interface:
+</papa>
 
-<socket-binding name="hotrod" interface="public" port="11222"/>
+<programlisting>
-
+<![CDATA[<socket-binding name="hotrod" interface="public" port="11222"/>]]>
-After the above modification, the -b switch will determine the network address on which the hotrod port will be bound.+</programlisting>
+<para>
+After the above modification, the <literal>-b</literal> switch will determine the network address on which the hot rod port will be bound.
Comment 7 Misha H. Ali 2012-06-15 16:56:24 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,5 +1,5 @@
 The JBoss Data Grid server by default binds its listening ports to a loopback address (<literal>127.0.0.1</literal>). The <literal>-b</literal> switch can be used to modify the address on which to bind the public interface. However, since the JBoss Data Grid endpoints are bound to the management interface for security reasons, the <literal>-b</literal> switch does not affect them. The user should modify the <filename>standalone.xml</filename> configuration file to place the endpoints on the public interface:
-</papa>
+</para>
 
 <programlisting>
 <![CDATA[<socket-binding name="hotrod" interface="public" port="11222"/>]]>
Comment 8 Tristan Tarrant 2012-11-13 17:48:02 EST
This will be fixed by https://bugzilla.redhat.com/show_bug.cgi?id=875736
Comment 9 mark yarborough 2012-11-14 09:42:35 EST
ttarrant will add jira links as appropriate.

Note You need to log in before you can comment on or make changes to this bug.